Build #2 for binary-strict-0.2.3

[all reports]

Package binary-strict-0.2.3
Install InstallOk
Docs Failed
Tests NotTried
Time submitted 2015-05-24 08:01:21.816564 UTC
Compiler ghc-7.8.3
OS linux
Arch x86_64
Dependencies containers-0.5.5.1, bytestring-0.10.4.0, base-4.7.0.1, array-0.5.0.0
Flags none

Build log

[view raw]

Resolving dependencies...
Downloading binary-strict-0.2.3...
Configuring binary-strict-0.2.3...
Building binary-strict-0.2.3...
Preprocessing library binary-strict-0.2.3...

src/Data/Binary/Strict/Get.hs:2:16: Warning:
    -fglasgow-exts is deprecated: Use individual extensions instead

src/Data/Binary/Strict/IncrementalGet.hs:2:16: Warning:
    -fglasgow-exts is deprecated: Use individual extensions instead

src/Data/Binary/Strict/BitGet.hs:2:16: Warning:
    -fglasgow-exts is deprecated: Use individual extensions instead
[1 of 3] Compiling Data.Binary.Strict.BitGet ( src/Data/Binary/Strict/BitGet.hs, dist/build/Data/Binary/Strict/BitGet.o )

src/Data/Binary/Strict/BitGet.hs:65:1: Warning:
    The import of ‘Data.Bits’ is redundant
      except perhaps to import instances from ‘Data.Bits’
    To import instances alone, use: import Data.Bits()

src/Data/Binary/Strict/BitGet.hs:77:10: Warning:
    ‘BitGet’ is an instance of Monad but not Applicative - this will become an error in GHC 7.10, under the Applicative-Monad Proposal.
[2 of 3] Compiling Data.Binary.Strict.IncrementalGet ( src/Data/Binary/Strict/IncrementalGet.hs, dist/build/Data/Binary/Strict/IncrementalGet.o )

src/Data/Binary/Strict/IncrementalGet.hs:119:10: Warning:
    ‘Get’ is an instance of Monad but not Applicative - this will become an error in GHC 7.10, under the Applicative-Monad Proposal.
[3 of 3] Compiling Data.Binary.Strict.Get ( src/Data/Binary/Strict/Get.hs, dist/build/Data/Binary/Strict/Get.o )

src/Data/Binary/Strict/Get.hs:106:10: Warning:
    ‘Get’ is an instance of Monad but not Applicative - this will become an error in GHC 7.10, under the Applicative-Monad Proposal.
In-place registering binary-strict-0.2.3...
Running Haddock for binary-strict-0.2.3...
Running hscolour for binary-strict-0.2.3...
Preprocessing library binary-strict-0.2.3...
Preprocessing library binary-strict-0.2.3...

src/Data/Binary/Strict/Get.hs:2:16: Warning:
    -fglasgow-exts is deprecated: Use individual extensions instead

src/Data/Binary/Strict/IncrementalGet.hs:2:16: Warning:
    -fglasgow-exts is deprecated: Use individual extensions instead

src/Data/Binary/Strict/BitGet.hs:2:16: Warning:
    -fglasgow-exts is deprecated: Use individual extensions instead

src/Data/Binary/Strict/BitGet.hs:73:12:
    parse error on input ‘{-# UNPACK’
Haddock coverage:
Creating package registration file: /tmp/pkgConf-binary-strict-0.230869.3
Installing library in
/home/builder/hackage-server/build-cache/tmp-install/lib/x86_64-linux-ghc-7.8.3/binary-strict-0.2.3
Registering binary-strict-0.2.3...
Installed binary-strict-0.2.3